/*
 *	Copyright 2012-2014 Berlin-Brandenburgische Akademie der Wissenschaften
 *
 *	This file is part of PDR-LIB.
 *
 *	PDR-LIB is free software: you can redistribute it and/or modify it under
 *	the terms of the GNU Lesser General Public License as published by the
 *	Free Software Foundation, either version 3 of the License, or (at your
 *	option) any later version.
 *
 *	PDR-LIB is distributed in the hope that it will be useful, but WITHOUT ANY
 *	WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *	FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 *	more details.
 *
 *	You should have received a copy of the GNU Lesser General Public License
 *	along with PDR-LIB.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.bbaw.pdr.utils;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

/**
 * Just throws all occuring exceptions.
 * @author Fabian Körner
 */
public class XMLSchemaErrorHandler
implements ErrorHandler
{

	@Override
	public final void warning(final SAXParseException exception) throws SAXException
	{
		throw exception;
	}
	@Override
	public final void fatalError(final SAXParseException exception) throws SAXException
	{
		throw exception;
	}
	@Override
	public final void error(final SAXParseException exception) throws SAXException
	{
		throw exception;
	}

}
